
import java.net.URL;
import javax.jnlp.BasicService;
import javax.jnlp.ServiceManager;

class WebStart {
	public WebStart()
		throws javax.jnlp.UnavailableServiceException {
		bs = (BasicService)ServiceManager.lookup(
			"javax.jnlp.BasicService");
	}

	public URL getCodeBase() {
		return bs.getCodeBase();
	}

	public void showDocument(URL url) {
		bs.showDocument(url);
	}

	private BasicService bs;
}
